Subject: [lojban] YahooGroups snarfing/downloading/archiving program!!

From: Robin Lee Powell <[email-masked]>
Date: Mon, 21 Apr 2003 14:06:01 -0700

I've been looking for one of these for years!

http://parthe.lpthe.jussieu.fr/~zeitlin/yahoo2mbox.html

It even un-munges the e-mail addresses!! YAAAAY!

There are two non-trivial bugs in it. Here's the mail I sent him:

Problems:

You have $mboxname |= $groupname; where you mean to use ||=.

Secondly, it didn't actually handle the advertising redirects at
all!

Changing:

# go to the new page
if ( $url ) {
$request->uri($url);
$response = $ua->simple_request($request);
}

To:

# go to the new page
if ( $url ) {
$request->uri($url);
$response = $ua->simple_request($request);
$request->uri($msgUrl);
$response = $ua->simple_request($request);
}

Around line 926 seems to fix this.

It appears to do advertising redirects on every message that is 0 mod 4, btw.

By the way, I'm *very* impressed at your ability to unmangle the e-mail
addresses! Way to go! (Even if it's not you that figured it out. 8).

-Robin

-- 
http://www.digitalkingdom.org/~rlpowell/ *** I'm a *male* Robin.
.i le pamoi velru'e zo'u crepu le plibu taxfu
.i le remoi velru'e zo'u mo .i le cimoi velru'e zo'u ba'e prali .uisai
http://www.lojban.org/ *** to sa'a cu'u lei pibyta'u cridrnoma toi